Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.wzcmh.common.v3
Class NotificationType

    java.lang.Object
      be.vlaanderen.mercurius.wzcmh.common.v3.NotificationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class NotificationType

extends Object
implements Serializable

Groeperend element met informatie over één melding

Java class for NotificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NotificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Message" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Category" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NotificationType()`

Method Summary
`String` | `getCategory()` Gets the value of the category property.
`String` | `getCode()` Gets the value of the code property.
`String` | `getMessage()` Gets the value of the message property.
`void` | `setCategory(String value)` Sets the value of the category property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setMessage(String value)` Sets the value of the message property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationType

    public NotificationType()

Method Detail

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getMessage

    public String getMessage()

  Gets the value of the message property.

  Returns:
    possible object is `String`

### setMessage

    public void setMessage(String value)

  Sets the value of the message property.

  Parameters:
    `value` - allowed object is `String`

### getCategory

    public String getCategory()

  Gets the value of the category property.

  Returns:
    possible object is `String`

### setCategory

    public void setCategory(String value)

  Sets the value of the category property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.